﻿@model DomainClass.ViewModel.BaseReportModel
@{
    ViewBag.Title = "گزارش گیری";
    Layout = "~/Views/Shared/_AdminLayout.cshtml";
}

<h4>گزارش اطلاعات کاربران</h4>
<hr />

@using (Html.BeginForm("Report", "Admin", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="container">
        <div class="panel-group" id="accordion">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a data-toggle="collapse" data-parent="#accordion" href="#collapse1">پارامترهای جستجو</a>
                    </h4>
                </div>
                <div id="collapse1" class="panel-collapse collapse in">
                    <div class="panel-body">
                        @* ---------------------------------------------------------------------- *@
                        <div class="form-horizontal">

                            <div class="form-group">

                                @Html.LabelFor(model => model.Lname, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.Lname, new { htmlAttributes = new { @class = "form-control" } })
                                </div>

                                @Html.LabelFor(model => model.Fname, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.Fname, new { htmlAttributes = new { @class = "form-control" } })
                                </div>

                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.BDate, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.BDate, new { htmlAttributes = new { @class = "form-control" } })
                                </div>

                                @Html.LabelFor(model => model.ShMeli, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.ShMeli, new { htmlAttributes = new { @class = "form-control" } })
                                </div>

                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Jensiat, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EnumDropDownListFor(model => model.Jensiat, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                                </div>

                                @Html.LabelFor(model => model.Maghta, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EnumDropDownListFor(model => model.Maghta, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                                </div>

                            </div>


                            <div class="form-group">
                                @Html.LabelFor(model => model.Razmandeh, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    <div class="checkbox">
                                        @*@Html.EditorFor(model => model.Razmandeh)*@
                                        @Html.DropDownListFor(model => model.Razmandeh, new SelectList(
                    new[] {
                                                    new { Value = "", Text = "لطفاً یک مورد را انتخاب کنید" },
                                                    new { Value = "true", Text = "بله" },
                                                    new { Value = "false", Text = "خیر" },
                                                },
                    "Value",
                    "Text"
                    ), htmlAttributes: new { @class = "form-control" })

                                    </div>
                                </div>
                                @Html.LabelFor(model => model.ModatJebhe, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.ModatJebhe, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>


                            <div class="form-group">
                                @Html.LabelFor(model => model.Azadeh, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    <div class="checkbox">
                                        @*@Html.EditorFor(model => model.Azadeh)*@
                                        @Html.DropDownListFor(model => model.Azadeh, new SelectList(
                    new[] {
                                                    new { Value = "", Text = "لطفاً یک مورد را انتخاب کنید" },
                                                    new { Value = "true", Text = "بله" },
                                                    new { Value = "false", Text = "خیر" },
                                                },
                    "Value",
                    "Text"
                    ), htmlAttributes: new { @class = "form-control" })
                                    </div>
                                </div>
                                @Html.LabelFor(model => model.ModatJebheGh, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.ModatJebheGh, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Janbaz, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    <div class="checkbox">
                                        @*@Html.EditorFor(model => model.Janbaz)*@
                                        @Html.DropDownListFor(model => model.Janbaz, new SelectList(
                    new[] {
                                                    new { Value = "", Text = "لطفاً یک مورد را انتخاب کنید" },
                                                    new { Value = "true", Text = "بله" },
                                                    new { Value = "false", Text = "خیر" },
                                                },
                    "Value",
                    "Text"
                    ), htmlAttributes: new { @class = "form-control" })
                                    </div>
                                </div>
                                @Html.LabelFor(model => model.MizanJanbazi, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.MizanJanbazi, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>


                            <div class="form-group">
                                @Html.LabelFor(model => model.ModatEsarat, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.ModatEsarat, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Shahid, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    <div class="checkbox">
                                        @*@Html.EditorFor(model => model.Shahid)*@
                                        @Html.DropDownListFor(model => model.Shahid, new SelectList(
                    new[] {
                                                    new { Value = "", Text = "لطفاً یک مورد را انتخاب کنید" },
                                                    new { Value = "true", Text = "بله" },
                                                    new { Value = "false", Text = "خیر" },
                                                },
                    "Value",
                    "Text"
                    ), htmlAttributes: new { @class = "form-control" })
                                    </div>
                                </div>
                                @Html.LabelFor(model => model.TedadShahid, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.TedadShahid, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.BasijFal, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.BasijFal, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                                @Html.LabelFor(model => model.NesbatShahid, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EnumDropDownListFor(model => model.NesbatShahid, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.ShPost, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.ShPost, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>
                            <div class="form-group">
                                @Html.LabelFor(model => model.OnvanRaste, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.OnvanRaste, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>
                            <div class="form-group">
                                @Html.LabelFor(model => model.OnvanReshte, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.OnvanReshte, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>

                            @Html.Label("جمع سنوات خدمت قابل احتساب")
                            <div class="form-group">
                                @Html.LabelFor(model => model.K_Sal, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.K_Sal, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                                @Html.LabelFor(model => model.K_Mah, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.K_Mah, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.NoEstekhdam, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EnumDropDownListFor(model => model.NoEstekhdam, "لطفاً یک مورد را انتخاب کنید", htmlAttributes: new { @class = "form-control" })
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Job_Gov, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    <div class="checkbox">
                                        @*@Html.EditorFor(model => model.Shahid)*@
                                        @Html.DropDownListFor(model => model.Job_Gov, new SelectList(
                    new[] {
                                                    new { Value = "", Text = "لطفاً یک مورد را انتخاب کنید" },
                                                    new { Value = "true", Text = "بله" },
                                                    new { Value = "false", Text = "خیر" },
                                                },
                    "Value",
                    "Text"
                    ), htmlAttributes: new { @class = "form-control" })
                                    </div>
                                </div>
                            </div>

                            <div class="form-group">
                                @Html.LabelFor(model => model.Nomre1Ghabl, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.Nomre1Ghabl, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>
                            <div class="form-group">
                                @Html.LabelFor(model => model.Nomre2Ghabl, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.Nomre2Ghabl, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>
                            <div class="form-group">
                                @Html.LabelFor(model => model.Nomre3Ghabl, htmlAttributes: new { @class = "control-label col-md-2" })
                                <div class="col-md-3">
                                    @Html.EditorFor(model => model.Nomre3Ghabl, new { htmlAttributes = new { @class = "form-control" } })
                                </div>
                            </div>

                            <hr />
                        </div>
                        <input type="submit" value="نمایش گزارش" class="btn btn-primary" />

                        @* ---------------------------------------------------------------------- *@
                    </div>
                </div>
            </div>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h4 class="panel-title">
                        <a data-toggle="collapse" data-parent="#accordion" href="#collapse2">نتیجه جستجو</a>
                    </h4>
                </div>
                <div id="collapse2" class="panel-collapse collapse">
                    <div class="panel-body">
                        @* ------------------------------------------------------------ *@
                        @{
                            string ids = "";
                            if (ViewBag.Data != null)
                            {
                                var getlist = ViewBag.Data as IEnumerable<DomainClass.ViewModel.OutReportModel>;
                                <table class="table">
                                    <tr>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Lname)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Fname)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.ShMeli)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.BDate)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Jensiat)
                                        </th>
                                        <th>
                                            چاپ گزارش
                                        </th>
                                    </tr>

                                    @foreach (var persondata in getlist)
                                    {
                                        if (ids != "")
                                        {
                                            ids = ids + ',' + persondata.ID;
                                        }
                                        else
                                        {
                                            ids = persondata.ID.ToString();
                                        }

                                    <tr>
                                        <td>
                                            @persondata.Lname
                                        </td>
                                        <td>
                                            @persondata.Fname
                                        </td>
                                        <td>
                                            @persondata.ShMeli
                                        </td>
                                        <td>
                                            @persondata.BDate
                                        </td>
                                        <td>
                                            @persondata.Jensiat
                                        </td>
                                        <td>
                                            @Html.ActionLink("چاپ گزارش", "AdminReport", "Admin", new { id = @persondata.ID }, new { @class = "btn btn-danger btn-xs" })
                                        </td>
                                    </tr>
                                    }

                                </table>
                            }

                            <hr />

                            <div class="form-group">
                                <div class="col-md-2">
                                    @*<input type="submit" value="نمایش گزارش" class="btn btn-primary" />*@
                                    @*@Html.ActionLink("چاپ گزارش", "AdminReport", "Admin", new { @class = "btn btn-danger" })*@
                                    @*@Html.ActionLink("چاپ گزارش", "AdminReport", "Admin", new { list = Json.Encode(ViewBag.Data) }, new { @class = "btn btn-danger" })*@
                                    @{
                                        if (ViewBag.Data != null)
                                        {
                                            @Html.ActionLink("چاپ کامل گزارش", "AdminAllReport", "Admin", new { list = ids }, new { @class = "btn btn-success" })
                                        }
                                    }
                                </div>
                            </div>
                        }

                        @* ------------------------------------------------------------ *@
                    </div>
                </div>
            </div>
        </div>
    </div>
}
